POST api/ClassTracker/SaveTrackedClasses

Request Information

URI Parameters

None.

Body Parameters

Collection of PersonTrackedClass
NameDescriptionTypeAdditional information
TrackedClassID

integer

None.

PersonID

integer

None.

HorseShowID

integer

None.

ClassID

integer

None.

ClassNumber

string

None.

ClassName

string

None.

Location

string

None.

EstimatedStartTime

date

None.

Placing

string

None.

Status

string

None.

IsManualEntry

boolean

None.

HorseID

integer

None.

HorseName

string

None.

RegisteredName

string

None.

CreatedDate

date

None.

LastUpdatedDate

date

None.

trackedClassID

integer

None.

personID

integer

None.

horseShowID

integer

None.

classID

integer

None.

classNumber

string

None.

className

string

None.

location

string

None.

estimatedStartTime

date

None.

placing

string

None.

status

string

None.

isManualEntry

boolean

None.

horseID

integer

None.

horseName

string

None.

registeredName

string

None.

createdDate

date

None.

lastUpdatedDate

date

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "TrackedClassID": 12,
    "PersonID": 13,
    "HorseShowID": 14,
    "ClassID": 1,
    "ClassNumber": "sample string 15",
    "ClassName": "sample string 16",
    "Location": "sample string 17",
    "EstimatedStartTime": "2026-09-19T02:46:44.1977357-07:00",
    "Placing": "sample string 18",
    "Status": "sample string 19",
    "IsManualEntry": true,
    "HorseID": 1,
    "HorseName": "sample string 21",
    "RegisteredName": "sample string 22",
    "CreatedDate": "2026-09-19T02:46:44.1977357-07:00",
    "LastUpdatedDate": "2026-09-19T02:46:44.1977357-07:00",
    "trackedClassID": 12,
    "personID": 13,
    "horseShowID": 14,
    "classID": 1,
    "classNumber": "sample string 15",
    "className": "sample string 16",
    "location": "sample string 17",
    "estimatedStartTime": "2026-09-19T02:46:44.1977357-07:00",
    "placing": "sample string 18",
    "status": "sample string 19",
    "isManualEntry": true,
    "horseID": 1,
    "horseName": "sample string 21",
    "registeredName": "sample string 22",
    "createdDate": "2026-09-19T02:46:44.1977357-07:00",
    "lastUpdatedDate": "2026-09-19T02:46:44.1977357-07:00"
  },
  {
    "TrackedClassID": 12,
    "PersonID": 13,
    "HorseShowID": 14,
    "ClassID": 1,
    "ClassNumber": "sample string 15",
    "ClassName": "sample string 16",
    "Location": "sample string 17",
    "EstimatedStartTime": "2026-09-19T02:46:44.1977357-07:00",
    "Placing": "sample string 18",
    "Status": "sample string 19",
    "IsManualEntry": true,
    "HorseID": 1,
    "HorseName": "sample string 21",
    "RegisteredName": "sample string 22",
    "CreatedDate": "2026-09-19T02:46:44.1977357-07:00",
    "LastUpdatedDate": "2026-09-19T02:46:44.1977357-07:00",
    "trackedClassID": 12,
    "personID": 13,
    "horseShowID": 14,
    "classID": 1,
    "classNumber": "sample string 15",
    "className": "sample string 16",
    "location": "sample string 17",
    "estimatedStartTime": "2026-09-19T02:46:44.1977357-07:00",
    "placing": "sample string 18",
    "status": "sample string 19",
    "isManualEntry": true,
    "horseID": 1,
    "horseName": "sample string 21",
    "registeredName": "sample string 22",
    "createdDate": "2026-09-19T02:46:44.1977357-07:00",
    "lastUpdatedDate": "2026-09-19T02:46:44.1977357-07:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfPersonTrackedClass xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Equestrian.Entities">
  <PersonTrackedClass>
    <ClassID>1</ClassID>
    <ClassName>sample string 16</ClassName>
    <ClassNumber>sample string 15</ClassNumber>
    <CreatedDate>2026-09-19T02:46:44.1977357-07:00</CreatedDate>
    <EstimatedStartTime>2026-09-19T02:46:44.1977357-07:00</EstimatedStartTime>
    <HorseID>1</HorseID>
    <HorseName>sample string 21</HorseName>
    <HorseShowID>14</HorseShowID>
    <IsManualEntry>true</IsManualEntry>
    <LastUpdatedDate>2026-09-19T02:46:44.1977357-07:00</LastUpdatedDate>
    <Location>sample string 17</Location>
    <PersonID>13</PersonID>
    <Placing>sample string 18</Placing>
    <RegisteredName>sample string 22</RegisteredName>
    <Status>sample string 19</Status>
    <TrackedClassID>12</TrackedClassID>
    <classID>1</classID>
    <className>sample string 16</className>
    <classNumber>sample string 15</classNumber>
    <createdDate>2026-09-19T02:46:44.1977357-07:00</createdDate>
    <estimatedStartTime>2026-09-19T02:46:44.1977357-07:00</estimatedStartTime>
    <horseID>1</horseID>
    <horseName>sample string 21</horseName>
    <horseShowID>14</horseShowID>
    <isManualEntry>true</isManualEntry>
    <lastUpdatedDate>2026-09-19T02:46:44.1977357-07:00</lastUpdatedDate>
    <location>sample string 17</location>
    <personID>13</personID>
    <placing>sample string 18</placing>
    <registeredName>sample string 22</registeredName>
    <status>sample string 19</status>
    <trackedClassID>12</trackedClassID>
  </PersonTrackedClass>
  <PersonTrackedClass>
    <ClassID>1</ClassID>
    <ClassName>sample string 16</ClassName>
    <ClassNumber>sample string 15</ClassNumber>
    <CreatedDate>2026-09-19T02:46:44.1977357-07:00</CreatedDate>
    <EstimatedStartTime>2026-09-19T02:46:44.1977357-07:00</EstimatedStartTime>
    <HorseID>1</HorseID>
    <HorseName>sample string 21</HorseName>
    <HorseShowID>14</HorseShowID>
    <IsManualEntry>true</IsManualEntry>
    <LastUpdatedDate>2026-09-19T02:46:44.1977357-07:00</LastUpdatedDate>
    <Location>sample string 17</Location>
    <PersonID>13</PersonID>
    <Placing>sample string 18</Placing>
    <RegisteredName>sample string 22</RegisteredName>
    <Status>sample string 19</Status>
    <TrackedClassID>12</TrackedClassID>
    <classID>1</classID>
    <className>sample string 16</className>
    <classNumber>sample string 15</classNumber>
    <createdDate>2026-09-19T02:46:44.1977357-07:00</createdDate>
    <estimatedStartTime>2026-09-19T02:46:44.1977357-07:00</estimatedStartTime>
    <horseID>1</horseID>
    <horseName>sample string 21</horseName>
    <horseShowID>14</horseShowID>
    <isManualEntry>true</isManualEntry>
    <lastUpdatedDate>2026-09-19T02:46:44.1977357-07:00</lastUpdatedDate>
    <location>sample string 17</location>
    <personID>13</personID>
    <placing>sample string 18</placing>
    <registeredName>sample string 22</registeredName>
    <status>sample string 19</status>
    <trackedClassID>12</trackedClassID>
  </PersonTrackedClass>
</ArrayOfPersonTrackedClass>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.